VERSION 1.0 CLASS
BEGIN
  MultiUse = -1  'True
END
Attribute VB_Name = "clsEleves"
Attribute VB_GlobalNameSpace = False
Attribute VB_Creatable = True
Attribute VB_PredeclaredId = False
Attribute VB_Exposed = False
Option Explicit
'Nom : clsEleves
'Description : Occurences de la Table de sEleves
'Variables d'entres : non
'Variables de sorties : non
'Qui, Quoi, Quand : Sygale          Creation        20/03/2002
'=============================================================

'Collection de descriptif d'Eleve
Private colEleve As Collection
'

'Nom : Get NewEnum
'Description : Obligatoire pour l'utilisation de For Each
'Variables d'entres : non
'Variables de sorties : Item de la collection d'Eleve
'Qui, Quoi, Quand : Sygale          Creation        20/03/2002
'=============================================================
Public Property Get NewEnum() As IUnknown
Attribute NewEnum.VB_UserMemId = -4
'Il est indipensable de faire la manipulation suivante :
'Dans l'cran Ouitls,Attributs de procdures
'Selectionner la proprit NewEnum
'Clicker su Avancs
'Id de la Procdure = -4
'Pourquoi aucune ide mais si cette manipulation n'est pas faire
'For each ne fonctionne pas
Set NewEnum = colEleve.[_NewEnum]
End Property

'Nom : Add
'Description : Ajout d'un Eleve
'Variables d'entres : Numero de l'Eleve
'Variables de sorties : l'objet nouvel Eleve
'Qui, Quoi, Quand : Sygale          Creation        20/03/2002
'=============================================================
Public Function Add(plngNumero As Long) As clsEleve
Dim objEle As New clsEleve
objEle.lngNumero = plngNumero
If objEle.lngNumero <> 0 Then
    colEleve.Add objEle, CStr(objEle.lngNumero)
End If
Set Add = objEle
Set objEle = Nothing
End Function
'Nom : Count
'Description : Compte le nombre d'Eleve
'Variables d'entres : non
'Variables de sorties : long
'Qui, Quoi, Quand : Sygale          Creation        20/03/2002
'=============================================================
Public Function Count() As Long
Count = colEleve.Count
End Function

'Nom : Get Item
'Description : Renvoit l'objet Eleve dsir
'Variables d'entres : Numero de l'Eleve (indice de collection ou cl)
'Variables de sorties : Objet Eleve demand
'Qui, Quoi, Quand : Sygale          Creation        20/03/2002
'=============================================================
Public Property Get Item(lngIndex As Long) As clsEleve
Set Item = colEleve.Item(lngIndex)
End Property

'Nom : Class_Initialize
'Description : Creation de la classe
'Variables d'entres : non
'Variables de sorties : non
'Qui, Quoi, Quand : Sygale          Creation        20/03/2002
'=============================================================
Private Sub Class_Initialize()
Set colEleve = New Collection
End Sub
'Nom : Class_Terminate
'Description : Destruction de la classe
'Variables d'entres : non
'Variables de sorties : non
'Qui, Quoi, Quand : Sygale          Creation        20/03/2002
'=============================================================
Private Sub Class_Terminate()
Set colEleve = Nothing
End Sub
